io.undertow.security.api

## Class AuthenticatedSessionManager.AuthenticatedSession

- java.lang.Object
- - io.undertow.security.api.AuthenticatedSessionManager.AuthenticatedSession

All Implemented Interfaces:
  Serializable

Enclosing interface:
  AuthenticatedSessionManager

    public static class AuthenticatedSessionManager.AuthenticatedSession
    extends Object
    implements Serializable

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`AuthenticatedSession(Account account, String mechanism)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Account` `getAccount()`
`String` `getMechanism()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### AuthenticatedSession

    public AuthenticatedSession(Account account,
                                String mechanism)

### Method Detail

#### getAccount

    public Account getAccount()

#### getMechanism

    public String getMechanism()